import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const AlphaCBoxIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M5,3H19C20.1,3 21,3.9 21,5V19C21,20.1 20.1,21 19,21H5C3.9,21 3,20.1 3,19V5C3,3.9 3.9,3 5,3M11,7C9.9,7 9,7.9 9,9V15C9,16.1 9.9,17 11,17H13C14.1,17 15,16.1 15,15V14H13V15H11V9H13V10H15V9C15,7.9 14.1,7 13,7H11Z' />
  </Svg>
)

AlphaCBoxIcon.displayName = 'AlphaCBoxIcon'

AlphaCBoxIcon.defaultProps = {
  size: 24
}

export default AlphaCBoxIcon