import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const AlphaMIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M9,7C7.9,7 7,7.9 7,9V17H9V9H11V16H13V9H15V17H17V9C17,7.9 16.1,7 15,7H9Z' />
  </Svg>
)

AlphaMIcon.displayName = 'AlphaMIcon'

AlphaMIcon.defaultProps = {
  size: 24
}

export default AlphaMIcon