import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const AlphaMBoxIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M9,7C7.9,7 7,7.9 7,9V17H9V9H11V16H13V9H15V17H17V9C17,7.9 16.1,7 15,7H9M5,3H19C20.1,3 21,3.9 21,5V19C21,20.1 20.1,21 19,21H5C3.9,21 3,20.1 3,19V5C3,3.9 3.9,3 5,3Z' />
  </Svg>
)

AlphaMBoxIcon.displayName = 'AlphaMBoxIcon'

AlphaMBoxIcon.defaultProps = {
  size: 24
}

export default AlphaMBoxIcon