import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const AppleKeyboardCapsIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M15,14V8H17.17L12,2.83L6.83,8H9V14H15M12,0L22,10H17V16H7V10H2L12,0M7,18H17V24H7V18M15,20H9V22H15V20Z' />
  </Svg>
)

AppleKeyboardCapsIcon.displayName = 'AppleKeyboardCapsIcon'

AppleKeyboardCapsIcon.defaultProps = {
  size: 24
}

export default AppleKeyboardCapsIcon