import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const AppleKeyboardControlIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M19.78,11.78L18.36,13.19L12,6.83L5.64,13.19L4.22,11.78L12,4L19.78,11.78Z' />
  </Svg>
)

AppleKeyboardControlIcon.displayName = 'AppleKeyboardControlIcon'

AppleKeyboardControlIcon.defaultProps = {
  size: 24
}

export default AppleKeyboardControlIcon