import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const AppleKeyboardShiftIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M15,18V12H17.17L12,6.83L6.83,12H9V18H15M12,4L22,14H17V20H7V14H2L12,4Z' />
  </Svg>
)

AppleKeyboardShiftIcon.displayName = 'AppleKeyboardShiftIcon'

AppleKeyboardShiftIcon.defaultProps = {
  size: 24
}

export default AppleKeyboardShiftIcon