import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ArrangeBringToFrontIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M2,2H11V6H9V4H4V9H6V11H2V2M22,13V22H13V18H15V20H20V15H18V13H22M8,8H16V16H8V8Z' />
  </Svg>
)

ArrangeBringToFrontIcon.displayName = 'ArrangeBringToFrontIcon'

ArrangeBringToFrontIcon.defaultProps = {
  size: 24
}

export default ArrangeBringToFrontIcon