import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ArrangeSendToBackIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M2,2H11V11H2V2M9,4H4V9H9V4M22,13V22H13V13H22M15,20H20V15H15V20M16,8V11H13V8H16M11,16H8V13H11V16Z' />
  </Svg>
)

ArrangeSendToBackIcon.displayName = 'ArrangeSendToBackIcon'

ArrangeSendToBackIcon.defaultProps = {
  size: 24
}

export default ArrangeSendToBackIcon