import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ArrowBottomLeftBoldOutlineIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M18.36,19.78H4.22V5.64L8.47,9.88L14.12,4.22L19.78,9.88L14.12,15.54L18.36,19.78M6.34,17.66H13.41L11.29,15.54L16.95,9.88L14.12,7.05L8.46,12.71L6.34,10.59V17.66Z' />
  </Svg>
)

ArrowBottomLeftBoldOutlineIcon.displayName = 'ArrowBottomLeftBoldOutlineIcon'

ArrowBottomLeftBoldOutlineIcon.defaultProps = {
  size: 24
}

export default ArrowBottomLeftBoldOutlineIcon