import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ArrowBottomLeftThickIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M15.5,5.69L18.31,8.5L11.94,14.89H16.89V18.31H5.69V7.11H9.12V12.06L15.5,5.69Z' />
  </Svg>
)

ArrowBottomLeftThickIcon.displayName = 'ArrowBottomLeftThickIcon'

ArrowBottomLeftThickIcon.defaultProps = {
  size: 24
}

export default ArrowBottomLeftThickIcon