import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ArrowBottomRightBoldOutlineIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M9.88,15.54L4.22,9.88L9.88,4.22L15.54,9.88L19.78,5.64V19.78H5.64L9.88,15.54M17.66,10.59L15.54,12.71L9.88,7.05L7.05,9.88L12.71,15.54L10.59,17.66H17.66V10.59Z' />
  </Svg>
)

ArrowBottomRightBoldOutlineIcon.displayName = 'ArrowBottomRightBoldOutlineIcon'

ArrowBottomRightBoldOutlineIcon.defaultProps = {
  size: 24
}

export default ArrowBottomRightBoldOutlineIcon