import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ArrowBottomRightThickIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M14.89,12.06V7.11H18.31V18.31H7.11V14.89H12.06L5.69,8.5L8.5,5.69L14.89,12.06Z' />
  </Svg>
)

ArrowBottomRightThickIcon.displayName = 'ArrowBottomRightThickIcon'

ArrowBottomRightThickIcon.defaultProps = {
  size: 24
}

export default ArrowBottomRightThickIcon