import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ArrowCollapseHorizontalIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M13,20V4H15.03V20H13M10,20V4H12.03V20H10M5,8L9.03,12L5,16V13H2V11H5V8M20,16L16,12L20,8V11H23V13H20V16Z' />
  </Svg>
)

ArrowCollapseHorizontalIcon.displayName = 'ArrowCollapseHorizontalIcon'

ArrowCollapseHorizontalIcon.defaultProps = {
  size: 24
}

export default ArrowCollapseHorizontalIcon