import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ArrowCollapseVerticalIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M4,12H20V14H4V12M4,9H20V11H4V9M16,4L12,8L8,4H11V1H13V4H16M8,19L12,15L16,19H13V22H11V19H8Z' />
  </Svg>
)

ArrowCollapseVerticalIcon.displayName = 'ArrowCollapseVerticalIcon'

ArrowCollapseVerticalIcon.defaultProps = {
  size: 24
}

export default ArrowCollapseVerticalIcon