import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ArrowExpandHorizontalIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M9,11H15V8L19,12L15,16V13H9V16L5,12L9,8V11M2,20V4H4V20H2M20,20V4H22V20H20Z' />
  </Svg>
)

ArrowExpandHorizontalIcon.displayName = 'ArrowExpandHorizontalIcon'

ArrowExpandHorizontalIcon.defaultProps = {
  size: 24
}

export default ArrowExpandHorizontalIcon