import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ArrowExpandLeftIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M20,22H22V2H20V11H5.83L11.33,5.5L9.92,4.08L2,12L9.92,19.92L11.33,18.5L5.83,13H20V22Z' />
  </Svg>
)

ArrowExpandLeftIcon.displayName = 'ArrowExpandLeftIcon'

ArrowExpandLeftIcon.defaultProps = {
  size: 24
}

export default ArrowExpandLeftIcon