import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ArrowExpandVerticalIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M13,9V15H16L12,19L8,15H11V9H8L12,5L16,9H13M4,2H20V4H4V2M4,20H20V22H4V20Z' />
  </Svg>
)

ArrowExpandVerticalIcon.displayName = 'ArrowExpandVerticalIcon'

ArrowExpandVerticalIcon.defaultProps = {
  size: 24
}

export default ArrowExpandVerticalIcon