import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ArrowLeftRightBoldOutlineIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M14,16V22L24,12L14,2V8H10V2L0,12L10,22V16H14M8,14V17L3,12L8,7V10H16V7L21,12L16,17V14H8Z' />
  </Svg>
)

ArrowLeftRightBoldOutlineIcon.displayName = 'ArrowLeftRightBoldOutlineIcon'

ArrowLeftRightBoldOutlineIcon.defaultProps = {
  size: 24
}

export default ArrowLeftRightBoldOutlineIcon