import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ArrowLeftThickIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M20,10V14H11L14.5,17.5L12.08,19.92L4.16,12L12.08,4.08L14.5,6.5L11,10H20Z' />
  </Svg>
)

ArrowLeftThickIcon.displayName = 'ArrowLeftThickIcon'

ArrowLeftThickIcon.defaultProps = {
  size: 24
}

export default ArrowLeftThickIcon