import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ArrowSplitHorizontalIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M8,18H11V15H2V13H22V15H13V18H16L12,22L8,18M12,2L8,6H11V9H2V11H22V9H13V6H16L12,2Z' />
  </Svg>
)

ArrowSplitHorizontalIcon.displayName = 'ArrowSplitHorizontalIcon'

ArrowSplitHorizontalIcon.defaultProps = {
  size: 24
}

export default ArrowSplitHorizontalIcon