import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ArrowSplitVerticalIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M18,16V13H15V22H13V2H15V11H18V8L22,12L18,16M2,12L6,16V13H9V22H11V2H9V11H6V8L2,12Z' />
  </Svg>
)

ArrowSplitVerticalIcon.displayName = 'ArrowSplitVerticalIcon'

ArrowSplitVerticalIcon.defaultProps = {
  size: 24
}

export default ArrowSplitVerticalIcon