import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ArrowTopLeftBoldOutlineIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M14.12,8.46L19.78,14.12L14.12,19.78L8.46,14.12L4.22,18.36V4.22H18.36L14.12,8.46M6.34,13.41L8.46,11.29L14.12,16.95L16.95,14.12L11.29,8.47L13.41,6.34H6.34V13.41Z' />
  </Svg>
)

ArrowTopLeftBoldOutlineIcon.displayName = 'ArrowTopLeftBoldOutlineIcon'

ArrowTopLeftBoldOutlineIcon.defaultProps = {
  size: 24
}

export default ArrowTopLeftBoldOutlineIcon