import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ArrowTopLeftThickIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M9.12,11.94V16.89H5.69V5.69H16.89V9.12H11.94L18.31,15.5L15.5,18.31L9.12,11.94Z' />
  </Svg>
)

ArrowTopLeftThickIcon.displayName = 'ArrowTopLeftThickIcon'

ArrowTopLeftThickIcon.defaultProps = {
  size: 24
}

export default ArrowTopLeftThickIcon