import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ArrowTopRightThickIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M8.5,18.31L5.69,15.5L12.06,9.12H7.11V5.69H18.31V16.89H14.89V11.94L8.5,18.31Z' />
  </Svg>
)

ArrowTopRightThickIcon.displayName = 'ArrowTopRightThickIcon'

ArrowTopRightThickIcon.defaultProps = {
  size: 24
}

export default ArrowTopRightThickIcon