import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ArrowUpDownBoldOutlineIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M16,10H22L12,0L2,10H8V14H2L12,24L22,14H16V10M14,16H17L12,21L7,16H10V8H7L12,3L17,8H14V16Z' />
  </Svg>
)

ArrowUpDownBoldOutlineIcon.displayName = 'ArrowUpDownBoldOutlineIcon'

ArrowUpDownBoldOutlineIcon.defaultProps = {
  size: 24
}

export default ArrowUpDownBoldOutlineIcon