import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const BackspaceReverseOutlineIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M5,15.59L6.41,17L10,13.41L13.59,17L15,15.59L11.41,12L15,8.41L13.59,7L10,10.59L6.41,7L5,8.41L8.59,12L5,15.59M2,3C0.9,3 0,3.9 0,5V19C0,20.1 0.9,21 2,21H17C17.69,21 18.23,20.64 18.59,20.11L24,12L18.59,3.88C18.23,3.35 17.69,3 17,3H2M2,5H17L21.72,12L17,19H2V5Z' />
  </Svg>
)

BackspaceReverseOutlineIcon.displayName = 'BackspaceReverseOutlineIcon'

BackspaceReverseOutlineIcon.defaultProps = {
  size: 24
}

export default BackspaceReverseOutlineIcon