import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const BookOutlineIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M18,2C19.1,2 20,2.9 20,4V20C20,21.1 19.1,22 18,22H6C4.9,22 4,21.1 4,20V4C4,2.9 4.9,2 6,2H18M18,4H13V12L10.5,9.75L8,12V4H6V20H18V4Z' />
  </Svg>
)

BookOutlineIcon.displayName = 'BookOutlineIcon'

BookOutlineIcon.defaultProps = {
  size: 24
}

export default BookOutlineIcon