import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const CellphoneNfcIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M2,16V18C4.76,18 7,20.24 7,23H9C9,19.13 5.87,16 2,16M2,20V23H5C5,21.34 3.66,20 2,20M2,12V14C6.97,14 11,18.03 11,23H13C13,16.92 8.08,12 2,12M17,1H7C5.9,1 5,1.9 5,3V10.37C5.69,10.53 6.36,10.74 7,11V5H17V18H13.97C14.5,19.25 14.81,20.59 14.92,22H17C18.1,22 19,21.1 19,20V3C19,1.9 18.1,1 17,1Z' />
  </Svg>
)

CellphoneNfcIcon.displayName = 'CellphoneNfcIcon'

CellphoneNfcIcon.defaultProps = {
  size: 24
}

export default CellphoneNfcIcon