import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ChevronDownCircleOutlineIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M22,12C22,17.52 17.52,22 12,22C6.48,22 2,17.52 2,12C2,6.48 6.48,2 12,2C17.52,2 22,6.48 22,12M20,12C20,7.58 16.42,4 12,4C7.58,4 4,7.58 4,12C4,16.42 7.58,20 12,20C16.42,20 20,16.42 20,12M6,10L12,16L18,10L16.6,8.6L12,13.2L7.4,8.6L6,10Z' />
  </Svg>
)

ChevronDownCircleOutlineIcon.displayName = 'ChevronDownCircleOutlineIcon'

ChevronDownCircleOutlineIcon.defaultProps = {
  size: 24
}

export default ChevronDownCircleOutlineIcon