import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const CompassOffIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M1,3.5L2.28,2.25L21.75,21.72L20.5,23L17.7,20.22C16.08,21.34 14.12,22 12,22C6.48,22 2,17.52 2,12C2,9.88 2.66,7.92 3.78,6.3L1,3.5M6,18L12.47,15L9,11.53L6,18M18,6L11.56,9L6.33,3.76C7.94,2.65 9.9,2 12,2C17.52,2 22,6.48 22,12C22,14.1 21.35,16.06 20.24,17.67L15,12.44L18,6Z' />
  </Svg>
)

CompassOffIcon.displayName = 'CompassOffIcon'

CompassOffIcon.defaultProps = {
  size: 24
}

export default CompassOffIcon