import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const FolderPlusOutlineIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M20,6H12L10,4H4C2.89,4 2,4.89 2,6V18C2,19.11 2.89,20 4,20H20C21.11,20 22,19.11 22,18V8C22,6.89 21.11,6 20,6M20,18H4V6H9.17L11.17,8H20V18M12,14H14V16H16V14H18V12H16V10H14V12H12V14Z' />
  </Svg>
)

FolderPlusOutlineIcon.displayName = 'FolderPlusOutlineIcon'

FolderPlusOutlineIcon.defaultProps = {
  size: 24
}

export default FolderPlusOutlineIcon