import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const FormatAlignCenterIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M3,3H21V5H3V3M7,7H17V9H7V7M3,11H21V13H3V11M7,15H17V17H7V15M3,19H21V21H3V19Z' />
  </Svg>
)

FormatAlignCenterIcon.displayName = 'FormatAlignCenterIcon'

FormatAlignCenterIcon.defaultProps = {
  size: 24
}

export default FormatAlignCenterIcon