import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const FormatAlignJustifyIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M3,3H21V5H3V3M3,7H21V9H3V7M3,11H21V13H3V11M3,15H21V17H3V15M3,19H21V21H3V19Z' />
  </Svg>
)

FormatAlignJustifyIcon.displayName = 'FormatAlignJustifyIcon'

FormatAlignJustifyIcon.defaultProps = {
  size: 24
}

export default FormatAlignJustifyIcon