import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const FormatFontSizeIncreaseIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M5.12,14L7.5,7.67L9.87,14M6.5,5L1,19H3.25L4.37,16H10.62L11.75,19H14L8.5,5H6.5M18,7L13,12.07L14.41,13.5L17,10.9V17H19V10.9L21.59,13.5L23,12.07L18,7Z' />
  </Svg>
)

FormatFontSizeIncreaseIcon.displayName = 'FormatFontSizeIncreaseIcon'

FormatFontSizeIncreaseIcon.defaultProps = {
  size: 24
}

export default FormatFontSizeIncreaseIcon