import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const FormatHeaderDecreaseIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M4,4H6V10H10V4H12V18H10V12H6V18H4V4M20.42,7.41L16.83,11L20.42,14.59L19,16L14,11L19,6L20.42,7.41Z' />
  </Svg>
)

FormatHeaderDecreaseIcon.displayName = 'FormatHeaderDecreaseIcon'

FormatHeaderDecreaseIcon.defaultProps = {
  size: 24
}

export default FormatHeaderDecreaseIcon