import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const FormatHeaderEqualIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M4,4H6V10H10V4H12V18H10V12H6V18H4V4M14,10V8H21V10H14M14,12H21V14H14V12Z' />
  </Svg>
)

FormatHeaderEqualIcon.displayName = 'FormatHeaderEqualIcon'

FormatHeaderEqualIcon.defaultProps = {
  size: 24
}

export default FormatHeaderEqualIcon