import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const FormatHeaderIncreaseIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M4,4H6V10H10V4H12V18H10V12H6V18H4V4M14.59,7.41L18.17,11L14.59,14.59L16,16L21,11L16,6L14.59,7.41Z' />
  </Svg>
)

FormatHeaderIncreaseIcon.displayName = 'FormatHeaderIncreaseIcon'

FormatHeaderIncreaseIcon.defaultProps = {
  size: 24
}

export default FormatHeaderIncreaseIcon