import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const FormatIndentIncreaseIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M11,13H21V11H11M11,9H21V7H11M3,3V5H21V3M11,17H21V15H11M3,8V16L7,12M3,21H21V19H3V21Z' />
  </Svg>
)

FormatIndentIncreaseIcon.displayName = 'FormatIndentIncreaseIcon'

FormatIndentIncreaseIcon.defaultProps = {
  size: 24
}

export default FormatIndentIncreaseIcon