import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const FormatListBulletedSquareIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M3,4H7V8H3V4M9,5V7H21V5H9M3,10H7V14H3V10M9,11V13H21V11H9M3,16H7V20H3V16M9,17V19H21V17H9' />
  </Svg>
)

FormatListBulletedSquareIcon.displayName = 'FormatListBulletedSquareIcon'

FormatListBulletedSquareIcon.defaultProps = {
  size: 24
}

export default FormatListBulletedSquareIcon