import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const FormatVerticalAlignCenterIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M8,19H11V23H13V19H16L12,15L8,19M16,5H13V1H11V5H8L12,9L16,5M4,11V13H20V11H4Z' />
  </Svg>
)

FormatVerticalAlignCenterIcon.displayName = 'FormatVerticalAlignCenterIcon'

FormatVerticalAlignCenterIcon.defaultProps = {
  size: 24
}

export default FormatVerticalAlignCenterIcon