import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const FormatWrapInlineIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M8,7L13,17H3L8,7M3,3H21V5H3V3M21,15V17H14V15H21M3,19H21V21H3V19Z' />
  </Svg>
)

FormatWrapInlineIcon.displayName = 'FormatWrapInlineIcon'

FormatWrapInlineIcon.defaultProps = {
  size: 24
}

export default FormatWrapInlineIcon