import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const GreaterThanOrEqualIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M6.5,2.27L20,10.14L6.5,18L5.5,16.27L16.03,10.14L5.5,4L6.5,2.27M20,20V22H5V20H20Z' />
  </Svg>
)

GreaterThanOrEqualIcon.displayName = 'GreaterThanOrEqualIcon'

GreaterThanOrEqualIcon.defaultProps = {
  size: 24
}

export default GreaterThanOrEqualIcon