import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const HomeFloorNegative1Icon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M12,3L2,12H5V20H19V12H22L12,3M11,15H7V13H11V15M15,18H13V10H11V8H15V18Z' />
  </Svg>
)

HomeFloorNegative1Icon.displayName = 'HomeFloorNegative1Icon'

HomeFloorNegative1Icon.defaultProps = {
  size: 24
}

export default HomeFloorNegative1Icon