import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const KeyboardCapsIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M6,18H18V16H6M12,8.41L16.59,13L18,11.58L12,5.58L6,11.58L7.41,13L12,8.41Z' />
  </Svg>
)

KeyboardCapsIcon.displayName = 'KeyboardCapsIcon'

KeyboardCapsIcon.defaultProps = {
  size: 24
}

export default KeyboardCapsIcon