import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const LessThanOrEqualIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M18.5,2.27L5,10.14L18.5,18L19.5,16.27L8.97,10.14L19.5,4L18.5,2.27M5,20V22H20V20H5Z' />
  </Svg>
)

LessThanOrEqualIcon.displayName = 'LessThanOrEqualIcon'

LessThanOrEqualIcon.defaultProps = {
  size: 24
}

export default LessThanOrEqualIcon