import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const MicrosoftDynamicsIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M6,2L17.25,8.5L13.5,11.5L6,8V2M6,9L9.5,11.25L6,22L18,9V15L6,22V9Z' />
  </Svg>
)

MicrosoftDynamicsIcon.displayName = 'MicrosoftDynamicsIcon'

MicrosoftDynamicsIcon.defaultProps = {
  size: 24
}

export default MicrosoftDynamicsIcon