import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const NecklaceIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M21.5,5H19.5C19.5,9.14 16.14,12.5 12,12.5C7.86,12.5 4.5,9.14 4.5,5H2.5C2.55,10.11 6.59,14.29 11.7,14.5C11.1,15.4 10,17.2 10,18C10,20.67 14,20.67 14,18C14,17.2 12.9,15.4 12.3,14.5C17.41,14.29 21.45,10.11 21.5,5Z' />
  </Svg>
)

NecklaceIcon.displayName = 'NecklaceIcon'

NecklaceIcon.defaultProps = {
  size: 24
}

export default NecklaceIcon