import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const PassportBiometricIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M4,4C2.9,4 2,4.9 2,6V11H8.13C8.59,9.24 10.18,8 12,8C13.82,8 15.41,9.24 15.87,11H22V6C22,4.9 21.1,4 20,4H4M12,10C10.9,10 10,10.9 10,12C10,13.1 10.9,14 12,14C13.1,14 14,13.1 14,12C14,10.9 13.1,10 12,10M2,13V18C2,19.1 2.9,20 4,20H20C21.1,20 22,19.1 22,18V13H15.87C15.41,14.76 13.82,16 12,16C10.18,16 8.59,14.76 8.13,13H2Z' />
  </Svg>
)

PassportBiometricIcon.displayName = 'PassportBiometricIcon'

PassportBiometricIcon.defaultProps = {
  size: 24
}

export default PassportBiometricIcon