import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ShapeSquarePlusIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M19,5H22V7H19V10H17V7H14V5H17V2H19V5M17,19V13H19V21H3V5H11V7H5V19H17Z' />
  </Svg>
)

ShapeSquarePlusIcon.displayName = 'ShapeSquarePlusIcon'

ShapeSquarePlusIcon.defaultProps = {
  size: 24
}

export default ShapeSquarePlusIcon