import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const SkipBackwardOutlineIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M18,14.17L15.83,12L18,9.83V14.17M20,19V5L13,12M4,19H6V5H4M11,14.17L8.83,12L11,9.83V14.17M13,19V5L6,12' />
  </Svg>
)

SkipBackwardOutlineIcon.displayName = 'SkipBackwardOutlineIcon'

SkipBackwardOutlineIcon.defaultProps = {
  size: 24
}

export default SkipBackwardOutlineIcon