import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const SprayBottleIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M12,7H15C15.66,7.64 16,8.31 16,9V22H8V15C8,14.72 8.11,14.39 8.3,14L12,7M16,4L15,6H12V5L10,7H9L10,5V4H9V2H14.5C15.33,2 16,2.67 16,3.5V4Z' />
  </Svg>
)

SprayBottleIcon.displayName = 'SprayBottleIcon'

SprayBottleIcon.defaultProps = {
  size: 24
}

export default SprayBottleIcon