import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const SubdirectoryArrowLeftIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M11,9L12.42,10.42L8.83,14H18V4H20V16H8.83L12.42,19.58L11,21L5,15L11,9Z' />
  </Svg>
)

SubdirectoryArrowLeftIcon.displayName = 'SubdirectoryArrowLeftIcon'

SubdirectoryArrowLeftIcon.defaultProps = {
  size: 24
}

export default SubdirectoryArrowLeftIcon