import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const SwapHorizontalBoldIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M8,10V13H14V18H8V21L2,15.5L8,10M22,8.5L16,3V6H10V11H16V14L22,8.5Z' />
  </Svg>
)

SwapHorizontalBoldIcon.displayName = 'SwapHorizontalBoldIcon'

SwapHorizontalBoldIcon.defaultProps = {
  size: 24
}

export default SwapHorizontalBoldIcon