import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const TemperatureKelvinIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M7,5H10V11L15,5H19L13.88,10.78L19,20H15.38L11.76,13.17L10,15.15V20H7V5Z' />
  </Svg>
)

TemperatureKelvinIcon.displayName = 'TemperatureKelvinIcon'

TemperatureKelvinIcon.defaultProps = {
  size: 24
}

export default TemperatureKelvinIcon