import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const UnfoldLessHorizontalIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M16.59,5.41L15.17,4L12,7.17L8.83,4L7.41,5.41L12,10M7.41,18.59L8.83,20L12,16.83L15.17,20L16.58,18.59L12,14L7.41,18.59Z' />
  </Svg>
)

UnfoldLessHorizontalIcon.displayName = 'UnfoldLessHorizontalIcon'

UnfoldLessHorizontalIcon.defaultProps = {
  size: 24
}

export default UnfoldLessHorizontalIcon