import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const UnfoldMoreHorizontalIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M12,18.17L8.83,15L7.42,16.41L12,21L16.59,16.41L15.17,15M12,5.83L15.17,9L16.58,7.59L12,3L7.41,7.59L8.83,9L12,5.83Z' />
  </Svg>
)

UnfoldMoreHorizontalIcon.displayName = 'UnfoldMoreHorizontalIcon'

UnfoldMoreHorizontalIcon.defaultProps = {
  size: 24
}

export default UnfoldMoreHorizontalIcon