import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const UnfoldMoreVerticalIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M18.17,12L15,8.83L16.41,7.41L21,12L16.41,16.58L15,15.17L18.17,12M5.83,12L9,15.17L7.59,16.59L3,12L7.59,7.42L9,8.83L5.83,12Z' />
  </Svg>
)

UnfoldMoreVerticalIcon.displayName = 'UnfoldMoreVerticalIcon'

UnfoldMoreVerticalIcon.defaultProps = {
  size: 24
}

export default UnfoldMoreVerticalIcon