import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ViewDashboardVariantIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M2,5V19H8V5H2M9,5V10H15V5H9M16,5V14H22V5H16M9,11V19H15V11H9M16,15V19H22V15H16Z' />
  </Svg>
)

ViewDashboardVariantIcon.displayName = 'ViewDashboardVariantIcon'

ViewDashboardVariantIcon.defaultProps = {
  size: 24
}

export default ViewDashboardVariantIcon