import React from 'react'
import styled from 'styled-components'
import { space, color } from 'styled-system'

const Svg = styled('svg')({ flex: 'none' }, space, color)

const ViewSplitVerticalIcon = ({
  size,
  ...props
}) => (
  <Svg
    {...props}
    viewBox='0 0 24 24'
    width={size}
    height={size}
    fill='currentcolor'
  >
    <path d='M13,5H21V19H13V5M3,5H11V7H3V5M3,11V9H11V11H3M3,19V17H11V19H3M3,15V13H11V15H3Z' />
  </Svg>
)

ViewSplitVerticalIcon.displayName = 'ViewSplitVerticalIcon'

ViewSplitVerticalIcon.defaultProps = {
  size: 24
}

export default ViewSplitVerticalIcon